Package org.opencv.img_hash

## Class MarrHildrethHash

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.img_hash.ImgHashBase
    - - org.opencv.img_hash.MarrHildrethHash

-     public class MarrHildrethHash
      extends ImgHashBase

  Marr-Hildreth Operator Based Hash, slowest but more discriminative. See CITE: zauner2010implementation for details.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `MarrHildrethHash​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MarrHildrethHash` | `__fromPtr__​(long addr)` |
    `static MarrHildrethHash` | `create()` |
    `static MarrHildrethHash` | `create​(float alpha)` |
    `static MarrHildrethHash` | `create​(float alpha, float scale)` |
    `protected void` | `finalize()` |
    `float` | `getAlpha()` | self explain
    `float` | `getScale()` | self explain
    `void` | `setKernelParam​(float alpha, float scale)` | Set Mh kernel parameters

    - ### Methods inherited from class org.opencv.img_hash.ImgHashBase

      `compare, compute`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MarrHildrethHash

          protected MarrHildrethHash​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static MarrHildrethHash __fromPtr__​(long addr)

    - #### create

          public static MarrHildrethHash create​(float alpha,
                                                float scale)

      Parameters:
        `alpha` - int scale factor for marr wavelet (default=2).
        `scale` - int level of scale factor (default = 1)
      Returns:
        automatically generated

    - #### create

          public static MarrHildrethHash create​(float alpha)

      Parameters:
        `alpha` - int scale factor for marr wavelet (default=2).
      Returns:
        automatically generated

    - #### create

          public static MarrHildrethHash create()

      Returns:
        automatically generated

    - #### getAlpha

          public float getAlpha()

      self explain
      Returns:
        automatically generated

    - #### getScale

          public float getScale()

      self explain
      Returns:
        automatically generated

    - #### setKernelParam

          public void setKernelParam​(float alpha,
                                     float scale)

      Set Mh kernel parameters
      Parameters:
        `alpha` - int scale factor for marr wavelet (default=2).
        `scale` - int level of scale factor (default = 1)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `ImgHashBase`
      Throws:
        `java.lang.Throwable`